Xeonr Developer Docs

Accept a team invitation with an emailed token

POST
/xeonr.auth.private.v1.TeamsService/AcceptTeamInvitation

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

token?string
Length1 <= length <= 128
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.TeamsService/AcceptTeamInvitation" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "team": {
    "team": {
      "teamId": "urn:xeonr:auth:team:0f3c9a2e-8f1b-4c2d-9e6a-1b2c3d4e5f60",
      "slug": "platform-core",
      "name": "Platform Core",
      "description": "string",
      "avatarUrl": "string",
      "createdAt": "2023-01-15T01:30:15.01Z"
    },
    "iacManaged": true,
    "memberCount": 0
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}